/* @refresh reload */
import { render } from 'solid-js/web';
import type { Component } from 'solid-js';

import {
  Router,
  Routes,
  Route,
  Navigate,
  useParams,
  useNavigate,
  hashIntegration,
} from '@solidjs/router';

const Counter: Component = () => {
  const params = useParams();
  const count = +params.count;
  const navigate = useNavigate();
  return (
    <>
      <button onClick={() => navigate(`/counter/${count + 1}`)}>+1</button>
      <div>Count: {count}</div>
    </>
  );
};

const App: Component = () => {
  return (
    <Routes>
      <Route path='/counter/:count' component={Counter} />
      <Route path='/*' element={<Navigate href='/counter/0' />} />
    </Routes>
  );
};

render(
  () => (
    <Router source={hashIntegration()}>
      <App />
    </Router>
  ),
  document.getElementById('root') as HTMLElement
);
